<div class="content-block dx-card responsive-paddings">
  <dx-data-grid #gridContainer [dataSource]="dataSource" [showBorders]="true" [columnHidingEnabled]="true" [allowColumnResizing]="true" (onToolbarPreparing)="onToolbarPreparing($event)" (onRowUpdating)="onRowUpdating($event)">
    <dxo-paging [enabled]="true" [pageSize]=10></dxo-paging>
    <dxo-export [enabled]="true" fileName="Clientes"></dxo-export>
      <dxo-editing [allowAdding]="true" [allowDeleting]="true" [allowUpdating]="true" mode="popup">
        <dxo-popup title="Clientes" [showTitle]="true">
        </dxo-popup>
        <dxo-form>
          <dxi-item dataField="Identification">
            <dxi-validation-rule type="required" message="Identificación es requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="Name">
            <dxi-validation-rule type="required" message="Nombres es requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="gender" editorType="dxSelectBox">
            <dxi-validation-rule type="required" message="Género es requerido">
            </dxi-validation-rule>
          </dxi-item>    
          <dxi-item dataField="Age">
            <dxi-validation-rule type="required" message="Edad es requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="Address">
            <dxi-validation-rule type="required" message="Dirección es requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="Phone">
            <dxi-validation-rule type="required" message="Teléfono es requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="State">
            <dxi-validation-rule type="required" message="Estado es requerido">
            </dxi-validation-rule>
          </dxi-item>
        </dxo-form>
      </dxo-editing>
    <dxi-column dataField="Id" caption="Id" [editorOptions]="{ disabled: 'true' }" [visible]="false">
    </dxi-column>
    <dxi-column dataField="Identification" caption="Identificación">
    </dxi-column>
    <dxi-column dataField="Name" caption="Nombres">
    </dxi-column>
    <dxi-column dataField="gender" caption="Genero">
      <dxo-lookup [dataSource]="genders" displayExpr="name" valueExpr="id">
      </dxo-lookup>
    </dxi-column>
    <dxi-column dataField="Age" caption="Edad">
    </dxi-column>
    <dxi-column dataField="Address" caption="Dirección">
    </dxi-column>
    <dxi-column dataField="Phone" caption="Teléfono">
    </dxi-column>
    <dxi-column dataField="State" caption="Estado">
      <dxo-lookup [dataSource]="stateCostumer" displayExpr="name" valueExpr="id">
      </dxo-lookup>
    </dxi-column>
  </dx-data-grid>
</div>
